#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#define SIZE 8

int main (int argc, char **argv)
{
int desc, trans, i, j, num = 100;
char *data_read, *data_write;

if (argc!=2)
{	
	fprintf (stderr, "hc08_user take two argument (device and buffer)\n");
	exit (-1);
}
data_read = (char *) malloc (SIZE*sizeof (char));
data_write = (char *) malloc (SIZE*sizeof (char));
memset (data_write, 0xff, SIZE);
/* open the hc08 device */
if ((desc=open (argv[1], O_RDWR)) == -1)
{
	perror ("open ()");
	exit (-1);
}
/* read on the hc08 device */ 
while (num)
{
	/* trying to write... in hope of a reading */
	if ((trans=write (desc, data_write, SIZE)) < SIZE)
	{
		fprintf (stderr, "only %d bytes write instead of %d\n", trans, SIZE);
		perror ("write ()");
	}
	memset (data_read, 0x00, SIZE); 
	if ((trans=read (desc, data_read, SIZE)) < SIZE)
	{
		fprintf (stderr, "only %d bytes read instead of %d\n", trans, SIZE);
		perror ("read ()");
	}
	printf ("buffer : ");
	for (j=0; j<SIZE; j++)
	{	
		printf ("%.2x ", data_read[j] & 0xff);
	}	
	printf ("\n");
	if (*data_write)
	{	
		memset (data_write, 0x00, SIZE);
	}
	else
	{	
		memset (data_write, 0xff, SIZE);
	}
	sleep (1);
	num --;
}	

//usleep (1000000);
close (desc);
return (0);	
}
